Subject: bug#46494: 28.0.50; [native-comp] Problems with async background compile

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Feb 2021 22:24:08 +0200

> From: Andy Moreton <[email-masked]>
> Date: Sat, 13 Feb 2021 20:20:46 +0000
> 
> >> c) Quitting emacs when async compilation processes are running sometimes
> >>     causes crashes in the compile processes, which show the emacs abort
> >>     dialog (once for each async process). The dialogs disappear after a
> >>     short delay (presumably due to the parent emacs having exited).
> >
> > Do the crashing processes run Emacs or do they run the compiler?  If
> > the former, can you attach GDB to them and show backtraces?
> 
> I think it is the compiler processes: I get multiple emacs abort dialogs
> rather than just one. I've tried attaching gdb, which does not manage to
> produce a backtrace.

I think it's Emacs that crashes, because otherwise why is the Emacs
abort di1alog shown?